## reimage-broker 0.1.6.20250117T140246.ff87304

=== Makefile ===
project="broker"

pkg:
	VERBOSE=1 FORCE=1 UPLOAD=local docker-compose -f ../pkgtools/docker-compose.build.yml run build

pkg_push:
	VERBOSE=1 FORCE=1 UPLOAD=scp docker-compose -f ../pkgtools/docker-compose.build.yml run build

=== debian/changelog ===
reimage-broker (0.1.6.20250117T140246.ff87304-1bullseye) bullseye; urgency=medium

  * auto build

 -- DebUploader <debuploader@reimage.ai>  Fri, 17 Jan 2025 14:02:46 -0800

reimage-broker (0.1.0) stable; urgency=low

  * Initial release

 -- Dirk Morris <dmorris@reimage.ai>  Mon, 08 Aug 2022 02:22:17 -0800

## reimage-broker 0.1.6.20251203T085521.f41dac6

=== debian/changelog ===
reimage-broker (0.1.6.20251203T085521.f41dac6-1bookworm) bookworm; urgency=medium

  * auto build

 -- DebUploader <debuploader@reimage.ai>  Wed, 03 Dec 2025 08:55:21 -0800

=== debian/control ===
Source: reimage-broker
Section: admin
Priority: optional
Maintainer: Dirk Morris <dmorris@reimage.ai>
Uploaders: BuildBot <buildbot@reimage.ai>
Build-Depends: systemd, debhelper (>= 10)
Standards-Version: 3.9.8

Package: reimage-broker
Architecture: amd64
Depends: ${misc:Depends},
        systemd,
Description: ReImage broker server
 Provides the ReImage broker REST API server

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DESTDIR := $(CURDIR)/debian/$(shell dh_listpackages)

%:
	dh $@ 

build:
	cd cmd/broker/ && go build 

override_dh_gencontrol:
	if [ -f debian/version ] ; then dh_gencontrol -- -v"`cat debian/version`" ; else dh_gencontrol ; fi

override_dh_install:
	if [ -f Makefile ] || [ ! -d files ]; then \
	  dh_install --exclude=debian --exclude=__pycache__ --exclude=.gitignore; \
	else \
	  mkdir -p $(DESTDIR) ; \
	  cp -ra files/* $(DESTDIR) ; \
	fi

## reimage-broker 0.1.6.20260201T145354.bf297ae

=== Makefile ===
project="broker"

pkg:
	VERBOSE=1 FORCE=1 UPLOAD=local docker compose -f ../pkgtools/docker-compose.build.yml run build

pkg_push:
	VERBOSE=1 FORCE=1 UPLOAD=scp docker compose -f ../pkgtools/docker-compose.build.yml run build

=== debian/changelog ===
reimage-broker (0.1.6.20260201T145354.bf297ae-1bookworm) bookworm; urgency=medium

  * auto build

 -- DebUploader <debuploader@reimage.ai>  Sun, 01 Feb 2026 14:53:54 -0800
